#version 150

in  vec4 vPosition;
in  vec2 vTexCoord;

out vec4 color;
out vec2 texCoord;

uniform mat4 model_view;
uniform mat4 projection;

void main() 
{
    color       = vec4(1, 1, 1, 1);
    texCoord    = vTexCoord;
    gl_Position = projection * model_view *  vPosition / vPosition.w;
} 
